INSERT INTO `ps_config` (`id`, `conftype`, `section`, `var`, `value`, `label`, `type`, `locked`, `verifycodes`, `options`, `help`) VALUES (95,'main',NULL,'plr_save_victims','1','Save player victims?','boolean',0,NULL,'','Should player victims be tracked and saved to the database? The only reason you might want to disable this is to speed up stats processing and to reduce the overall size of the database.'),(97,'main','','maxdays','31','Max days','text',0,'blank,numeric','size=9','Maximum number of days of historical stats to keep. The max days option affects how far back the graphs can go, it does not change how a player\'s skill is calculated.\r\n<b>See Also:</b>: max days exclusive'),(98,'main',NULL,'registration','closed','User registration','select',0,'','open:Open; Anyone can register\r\nconfirm:Confirm; Users must be confirmed\r\nclosed:Closed; registration is closed','Defines how user/player registrations are handled.\r\n\r\n<ul><li><b>open</b>: players do not require confirmation to register a user.</li><li><b>confirm</b>: players must be confirmed by an admin.</li><li><b>closed</b>: players are not allowed to register.</li></ul>'),(99,'main',NULL,'allow_username_change','1','Allow users to change name?','boolean',0,'','','Are users allowed to change their login username after already being registered?'),(100,'main',NULL,'minconnected','0','Minimum connected players','text',0,'blank,numeric','size=5','Minimum number of players that must be connected in order for player stats to count. Note: Some timing values are still counted for players and maps regardless of this setting.\r\n\r\n<b>Changing this value does not affect previous stats.</b> If you change this value and want it to reflect all stats you will have to reset your stats and re-process all logs.'),(101,'main',NULL,'uniqueid','worldid','How to track players?','select',0,'','worldid:Track by STEAMID\r\nname:Track by Player Name\r\nipaddr:Track by IP Address','Determines how players are identified in the game logs. If you change this value you will need to reset your stats.'),(102,'main',NULL,'gametype','halflife','Game Type','select',0,'','cod:Call of Duty 4\r\nhalflife:Half-Life\r\nsoldat:Soldat','Defines what type of game logs to process.This must be configured properly in order for your game logs to be processed correctly.\r\n<b>See Also</b>: Mod Type'),(103,'main',NULL,'modtype','cstrike','MOD Type','select',0,'',':(empty)\r\ncstrike:Counter Strike\r\ndod:Day of Defeat\r\nhldm:Half-Life Deathmatch\r\nnatural:Natural Selection\r\ntf2:Team Fortress 2','Defines what type of MOD the game logs are.This must be configured properly in order for your game logs to be processed correctly.\r\n<b>See Also:</b> Game Type'),(104,'main',NULL,'ignore_bots','0','Ignore BOT\'s?','boolean',0,NULL,'','Should BOT\'s be ignored in the stats? Ignoring a BOT will ignore all actions for or against it (player\'s do not get points for killing a BOT).'),(105,'main',NULL,'theme','default','Default theme','text',0,'','size=16','Default theme name for users browsing the stats website.\r\n<b>See also:</b>: allow_user_change (theme config)'),(106,'main',NULL,'clantag_detection','1','Enable clantag detection?','boolean',0,'','','If enabled, player names will be scanned for possible clantags and if a clantag is found that player is automatically added to the clan.'),(107,'main',NULL,'plr_primary_name','first','Primary player name selection','select',0,NULL,'most:Most Used\r\nfirst:First Used\r\nlast:Last Used','What player name should be used for players with more than one? (Ignored if uniqueid is \'name\')\r\n<b>first</b>: The first name the player is seen using will be used.\r\n<b>last</b>: The last name the player is seen using will be used.\r\n<b>most</b>: The name the player has used the most is used.'),(108,'main',NULL,'baseskill','50','Base skill','text',0,'blank,numeric','size=9','Default skill value for new players. It\'s recommended that you do not set this too low, otherwise player skill will become sporadic and players may end up with negative values.'),(109,'main',NULL,'plr_sessions_max','25','Max player game sessions','text',0,'blank,numeric','size=5','How many player game sessions are saved for each player. Game sessions allow player stats to be saved separately for each session played but require extra processing and storage space.'),(110,'main','skillcalc','kill_onlinetime_1','1440',NULL,'text',0,NULL,'',''),(111,'main','skillcalc','kill_adj_1','4',NULL,'text',0,NULL,'',''),(112,'main','skillcalc','kill_onlinetime_2','720',NULL,'text',0,NULL,'',''),(113,'main','skillcalc','kill_adj_2','8',NULL,'text',0,NULL,'',''),(114,'main','skillcalc','kill_onlinetime_3','360',NULL,'text',0,NULL,'',''),(115,'main','skillcalc','kill_adj_3','12',NULL,'text',0,NULL,'',''),(116,'main','skillcalc','kill_onlinetime_4','180',NULL,'text',0,NULL,'',''),(117,'main','skillcalc','kill_adj_4','16',NULL,'text',0,NULL,'',''),(118,'main','skillcalc','kill_onlinetime_5','60',NULL,'text',0,NULL,'',''),(119,'main','skillcalc','kill_adj_5','24',NULL,'text',0,NULL,'',''),(120,'main','skillcalc','kill_onlinetime_6','30',NULL,'text',0,NULL,'',''),(121,'main','skillcalc','kill_adj_6','32',NULL,'text',0,NULL,'',''),(300,'main','errlog','maxdays','31','Maximum days to keep','text',0,'blank,numeric','size=5','Maximum number of days to keep error logs. This does not affect player stats.'),(301,'main','errlog','maxrows','1000','Maximum rows to keep','text',0,'blank,numeric','size=9','Maximum number of error log events to keep. This does not affect player stats.'),(302,'main','errlog','report_unknown','0','Report Unknown Events?','boolean',0,'','','Should unknown log events be reported with a warning during stats processing? This is purely an informational setting and has no effect on player stats. Enabling this is useful when support for a new game is being added.'),(391,'theme','images','cache_dir','','Cache Directory','text',0,'','','Absolute path to a directory to store cached images. This directory must be writable by the webserver.  If left blank the system default will be used.\r\n\r\n<b>Recommendation:</b> Leave blank for system default.'),(393,'theme','images','cache_enabled','1','Cache Images?','boolean',0,'','','Should dynamically generated images (charts and graphs) be cached for better performance? Enabling this will reduce the total times an image is created on-the-fly. The downside to enabling this is cached images are only updated again after the cache expires so up-to-date information isn\'t always seen immediately.'),(394,'theme','images','cache_timeout','5','Cache Lifetime','text',0,'blank,numeric','size=5','How many minutes images will be cached before being regenerated again. Image caching must be enabled for this to have any effect.'),(395,'theme','icons','max_size','10240','Maximum file size','text',0,'blank,numeric','size=5','Maximum size in bytes uploaded icons are allowed to be.'),(396,'theme','icons','max_width','20','Maximum width','text',0,'blank,numeric','size=5','Maximum width in pixels allowed for icon images.'),(397,'theme','icons','max_height','20','Maximum height','text',0,'blank,numeric','size=5','Maximum height in pixels allowed for icon images.'),(398,'theme','icons','allow_overwrite','0','Can users overwrite icons?','boolean',0,'BN','','Can a normal user overwrite an existing icon with a new upload? (Admins can always overwrite icons).'),(399,'theme','icons','allow_upload','0','Allow user uploads?','boolean',0,'BN','','Are users allowed to upload new icons to the gallery? (an admin can always upload).'),(400,'theme',NULL,'allow_user_change','1','Allow users to change theme?','boolean',0,'','','Can users change the theme from the default if more then one theme is installed and enabled?\r\n\r\n<b>See also:</b> Default Theme (main config)'),(401,'theme',NULL,'template_dir','','Theme Directory','text',0,'','','Absolute path to the directory where your themes are installed. Note: This path must be accessible to the webserver.\r\n\r\n<b>Recommendation:</b> Leave blank for default.\r\n<b>See also:</b> \"Theme Base URL\"'),(402,'theme',NULL,'compile_dir','','Compile directory for themes','text',0,'','','The compile directory defines where compiled theme templates are written to. The directory must be <b>writable</b> by the web server user. If it\'s not your stats website will not work.\r\n\r\n<b>This setting has no effect if \"Compile to Disk\" is set to \"No\".</b>\r\n\r\n<b>See Also:</b> \"Compile to Disk\" (fetch_compile)\r\n<b>Recommendation:</b> Leave blank for default.'),(405,'theme',NULL,'maps_dir','','Images: Map directory','text',0,'','','Absolute root directory where map images are located.\r\n\r\n<b>Recommendation:</b> Leave blank for default. (auto-discovered)'),(406,'theme',NULL,'maps_url','','Images: Map URL','text',0,'','','Absolute URL for map images. This should match up to the location of the \"Root directory for maps\" setting. So the images can be referenced within the theme output correctly.\r\n\r\n<b>Recommendation:</b> Leave blank for default (auto-discovered)'),(407,'theme','permissions','show_benchmark','1','Show Page Benchmark?','boolean',0,'','','In the footer of most pages is a benchmark that displays the total time it took to process the page and how many SQL queries it took. Disabling this setting will hide that output.\r\n\r\n<b>Note:</b> This option relies on the theme supporting this configuration setting. A theme can either choose to always show the link, use this setting, or never show the link. If you use third party themes then verify your settings are being applied properly. You may wish to contact the theme author if there are any problems.\r\n \r\n<b>Recommendation:</b> Personal preference, do what you want.'),(408,'theme','format','time_offset','','Time Offset','text',0,'numeric','size=5','This value is used to offset any time values displayed in the stats. For instance, if your local website is in US/Eastern time (-5) and your game server is in US/Central time (-4) you might want to put an offset value of \"-1\" here so the times display on the website will reflect the times that actually occured on the game server.\r\n\r\nThis is a cosmetic setting only and has no real affect on stats.'),(1000,'info',NULL,'version','3.2.2b',NULL,'text',0,NULL,'',''),(1001,'info','stats','lastupdate','1220446660',NULL,'text',0,NULL,'',''),(1002,'info','daily_ranks','lastupdate','1220446660',NULL,'text',0,NULL,'',''),(1003,'info','daily_clans','lastupdate','1220446660',NULL,'text',0,NULL,'',''),(1004,'info','daily_awards','lastupdate','1220446661',NULL,'text',0,NULL,'',''),(1005,'info','daily_players','lastupdate','1220446660',NULL,'text',0,NULL,'',''),(2514,'main','awards','startofweek','sunday','Start of the week','select',0,NULL,'sunday:Sunday\r\nmonday:Monday','What day does the week start? Sunday or Monday? This depends on your nationality. For example, in the US it\'s Sunday but in Russia you\'d use Monday.'),(2515,'main','awards','weekly','1','Allow weekly awards?','boolean',0,NULL,'','Should weekly awards be calculated?'),(2516,'main','awards','monthly','1','Allow monthy awards?','boolean',0,NULL,'','Should monthly awards be calculated?'),(2517,'main','awards','allow_partial_month','1','Calculate partial month awards?','boolean',0,NULL,'','Should awards for partial months be calculated? If enabled awards will be calculated for the month even if the current month is not yet complete. The awards will be re-calculated each time logs are processed until the 1st of the next month rolls around. At that time the awards will be calculated one last time and saved. If disabled you will never seen awards for the current month until the full month has gone by.'),(2518,'main','awards','allow_partial_week','1','Calculate partial week awards?','boolean',0,NULL,'','Should awards for partial weeks be calculated? If enabled awards will be calculated for the week even if the current week is not yet complete. The awards will be re-calculated each time logs are processed until the following week rolls around. At that time the awards will be calculated one last time and saved. If disabled you will never seen awards for the current week until the full week has gone by.'),(2520,'info','daily_maxdays','lastupdate','1220446660',NULL,'text',0,NULL,'',''),(2521,'main',NULL,'maxdays_exclusive','0','Max days is exclusive?','boolean',0,'','','If enabled, all stats outside of the \'max days\' range will be excluded from the compiled statistics. This setting will affect player statistics but will not change a player\'s skill value.\r\n\r\nFor example: If you have 1000 kills in the last 60 days and \'max days\' is set to 30 with this <b>enabled</b> you will lose all kills past 30 days. If <b>disabled</b> you retain all the old kills.'),(2525,'theme',NULL,'weapons_dir','','Images: Weapon directory','text',0,'','','Absolute root directory where weapon images are located.\r\n\r\n<b>Recommendation:</b> Leave blank for default. (auto-discovered)'),(2526,'theme',NULL,'weapons_url','','Images: Weapon URL','text',0,'','','Absolute URL for weapon images. This should match up to the location of the \"Root directory for weapons\" setting. So the images can be referenced within the theme output correctly.\r\n\r\n<b>Recommendation:</b> Leave blank for default (auto-discovered)'),(2527,'theme',NULL,'flags_dir','','Images: Flag directory','text',0,'','','Absolute root directory where flag images are located.\r\n\r\n<b>Recommendation:</b> Leave blank for default. (auto-discovered)'),(2528,'theme',NULL,'flags_url','','Images: Flag URL','text',0,'','','Absolute URL for flag images. This should match up to the location of the \"flag directory\" setting. So the images can be referenced within the theme output correctly.\r\n\r\n<b>Recommendation:</b> Leave blank for default (auto-discovered)'),(2529,'theme',NULL,'icons_dir','','Images: Icon directory','text',0,'','','Absolute root directory where icon images are located.\r\n\r\n<b>Recommendation:</b> Leave blank for default. (auto-discovered)'),(2530,'theme',NULL,'icons_url','','Images: Icon URL','text',0,'','','Absolute URL for icon images. This should match up to the location of the \"Root directory for icons\" setting. So the images can be referenced within the theme output correctly.\r\n\r\n<b>Recommendation:</b> Leave blank for default (auto-discovered)'),(2535,'theme','permissions','show_ips','1','Show IP Addresses','boolean',0,'','','Should player IP addresses be visible in the stats to non-admin users?'),(2542,'theme','images','search_ext','png, jpg, gif','Search list for static images','text',0,'blank','','Comma separated list of extensions (without the period) to search when looking for weapon, map, roles or flag images. This has no effect on dynamically generated images.\r\n\r\n<b>Recomendation:</b> png, gif, jpg'),(2543,'theme',NULL,'script_url','','Override Script URL','text',0,'','','Base script URL override. If you have special needs and the normal PHP_SELF script URL will not work you can override the URL here. This setting affects all of the URL options that are left blank.\r\n\r\n<b>Recommendation:</b> Leave blank for default.'),(2545,'theme','format','date','Y-m-d','Date Format','text',0,'blank','size=16','Date format to use for dates that do not include time.\r\n<b>See also:</b> datetime, <a href=\"http://php.net/date\">php date format</a>'),(2546,'theme','format','datetime','Y-m-d H:i:s','Date+Time Format','text',0,'blank','size=16','Date dormat for timestamps that include the date and time.\r\n<b>See also:</b> date, <a href=\"http://php.net/date\">php date format</a>'),(2547,'main',NULL,'ignore_bots_conn','1','Ignore BOT connections?','boolean',0,NULL,'','If enabled, BOT connections will not count towards the overall total of player connections to the server. So, the total connection count will only reflect real players that have connected.'),(2548,'theme',NULL,'force_compile','0','Force Theme Compilation?','boolean',0,'','','Themes are compiled once the first time they are needed. After that the compiled theme is simply loaded w/o any extra processing. However, if you are attempting to develop a theme or language pack you may find that sometimes your changes are not reflected in the theme when you refresh. If you enable this setting the theme output will be recompiled on every page request.\r\n\r\nIf you\'re not developing a theme or language pack then there is NO REASON to leave this setting enabled. Doing so will only put more strain on your server and slow down your website and saved to disk.\r\n\r\n<b>This setting has no effect if \"Compile to Disk\" is set to \"No\".</b>\r\n\r\n<b>See Also:</b> \"Compile to Disk\" (fetch_compile)\r\n<b>Recommendation:</b> Disabled'),(2552,'theme',NULL,'theme_url','','Theme Base URL','text',0,'','','URL to access themes. This URL is usually a relative URL to the themes on the webserver but could also be a FQDN with an absolute URL pointing to another server, etc.\r\n\r\nThe trailing slash should usually be omitted.\r\n\r\n<b>Recommendation:</b> Leave blank for default.\r\n<b>See also:</b> \"Theme Directory\"'),(2556,'theme','permissions','show_login','1','Show Login Link','boolean',0,'','','Should the <b>Login</b> link be visible? Disabling this only hides the link, it does not prevent users from manually going to the login.php link to login.\r\n\r\n<b>Note:</b> This option relies on the theme supporting this configuration setting. A theme can either choose to always show the link, use this setting, or never show the link. If you use third party themes then verify your settings are being applied properly. You may wish to contact the theme author if there are any problems.'),(2557,'theme','permissions','show_register','1','Show Register Link','boolean',0,'','','Should the <b>Register</b> link be visible? This does not prevent users from manually going to the register.php link and attempting to register. See the \'registration\' option in the main config for more details on how to configure user registrations.\r\n\r\n<b>Note:</b> This option relies on the theme supporting this configuration setting. A theme can either choose to always show the link, use this setting, or never show the link. If you use third party themes then verify your settings are being applied properly. You may wish to contact the theme author if there are any problems.'),(2563,'info','daily_decay','lastupdate','0',NULL,'text',0,NULL,'',''),(2565,'theme',NULL,'roles_dir','','Images: Role directory','text',0,'','','Absolute root directory where role images are located.\r\n\r\n<b>Recommendation:</b> Leave blank for default. (auto-discovered)'),(2566,'theme',NULL,'roles_url','','Images: Role URL','text',0,'','','Absolute URL for role images. This should match up to the location of the \"Root directory for roles\" setting. So the images can be referenced within the theme output correctly.\r\n\r\n<b>Recommendation:</b> Leave blank for default (auto-discovered)'),(2567,'theme','map','iplookup_url','http://www.psychostats.com/ip/xml/','IP Lookup URL or Maxmind DB','text',0,'','','Specify the URL that will do an IP lookup, or a filename to a local GeoLiteCity.dat file (from maxmind.com) to perform a lookup against.\r\n\r\nUsing the URL is slower depending on your network connection. Doing a local lookup is very fast, but requires the maxmind dat file present on your server (which is upwards of 25+ mb in size).\r\n\r\nIn order to use a local GeoLiteCity.dat file, you must have the geoip*.inc source files in your includes directory. You can download the files from the <a href=\"http://maxmind.com\">maxmind.com</a> website.\r\n\r\nIf an URL is specified, the special token of $ip can be used in the string and will be replaced with the IP that will be looked up, by default the IP is appended to the end of the URL..\r\n\r\n<b>Recommended:</b> Leave the URL default (unless you know what you\'re doing).'),(2568,'theme','map','google_key','','Google API Key','text',0,'','','Some features of the player stats require the use of a google API key. You can obtain a key for free by going to <a href=\"http://www.google.com/apis/maps/signup.html\">\r\nhttp://www.google.com/apis/maps/signup.html\r\n</a>'),(2569,'theme','format','allowed_html_tags','img,b,a,hr,em,i,strong','Allowed HTML Tags','text',0,'blank','','Comma separated list of HTML tags that are allowed to be entered into player and clan logos. \r\n<b>Note:</b> Do not include angle brackets \"&lt;&gt;\".'),(2572,'theme','format','max_logo_size','1024','Maximum Logo Length','text',0,'blank,numeric','size=5','Maximum number of characters allowed in player and clan logos.'),(2583,'theme',NULL,'root_img_dir','','Images: Absolute root directory','text',0,'','','Absolute root directory where images are kept for weapons, maps, icons and flags. Theme related images are always located within the theme directory and are unaffected by this setting.\r\n\r\nIf any of the \"Image\" directory settings are left blank they will use this setting as their root.\r\n\r\n<b>Recommendation:</b> Leave blank for default. (auto-discovered)'),(2584,'theme',NULL,'root_img_url','','Images: Absolute root URL','text',0,'','','Absolute URL for images. This should match up to the location of the \"Absolute root for images\" setting. So the images can be referenced within the theme output correctly.\r\n\r\nIf any of the \"Image\" URL settings are left blank they will use this setting as their root.\r\n\r\n<b>Recommendation:</b> Leave blank for default (auto-discovered)'),(2585,'main','decay','hours','24','Minimum hours','text',0,'blank,numeric','size=5','Minimum number of hours of inactivity for a player before their skill starts to decay.'),(2586,'main','decay','type','0','Type of decay','select',0,NULL,'0:Disable (no decay)\r\nflat:Flat Value\r\npercent:Percentage','How to apply the decay value to a player. \r\n<b>flat:</b> subtract the actual decay value from the player\'s skill.\r\n<b>percent:</b> use the decay value as a percentage of the player\'s skill and subtract it (ie: 5% would mean subtract 5% of the players total skill).'),(2587,'main','decay','value','2','Base decay value','text',0,'blank,numeric','size=5','The decay value. The decay \'type\' defines how this value will be subtracted from a player\'s skill.'),(2588,'theme','permissions','show_worldids','1','Show STEAMIDs','boolean',0,'','','Should player \"unique ID\'s\" (steamids) be visible in the stats to non-admin users?'),(2589,'main','ranking','player_min_kills','0','(Player) Minimum kills','text',0,'blank,numeric','size=5','Minimum <b>kills</b> required for a player to rank'),(2590,'main','ranking','player_min_skill','0','(Player) Minimum skill','text',0,'blank,numeric','size=5','Minimum <b>skill</b> required for a player to rank.\r\n\r\n<b>Note:</b> It\'s possible for player skill to go NEGATIVE. So setting this to 0 may still prevent players from ranking.'),(2591,'main','ranking','player_min_onlinetime','0','(Player) Minimum online time','text',0,'blank,numeric','size=5','Minimum <b>online time</b> required for a player to rank'),(2592,'main','ranking','clan_min_kills','1','(Clan) Minimum kills','text',0,'blank,numeric','size=5','Minimum combined <b>kills</b> required for a clan to rank'),(2593,'main','ranking','clan_min_skill','0','(Clan) Minimum skill','text',0,'blank,numeric','size=5','Minimum average <b>skill</b> of all members required for a clan to rank'),(2594,'main','ranking','clan_min_onlinetime','0','(Clan) Minimum online time','text',0,'blank,numeric','size=5','Minimum combined <b>online time</b> required for a clan to rank'),(2595,'main','ranking','clan_min_members','2','(Clan) Minimum members','text',0,'blank,numeric','size=5','Minimum ranked <b>members</b> required for a clan to rank'),(2596,'main','security','csrf_protection','0','Enable CSRF Protection?','boolean',0,'BN','','CSRF (Cross-Site Request Forgeries) Attacks are malicious attempts from hackers to submit unauthenticated requests to forms on your website. This threat is a minimal concern for PsychoStats but all security threats should be taken seriously. The downside to having this enabled is sometimes you may see fatal errors in form submissions if you try to reload or wait too long to submit a form.\r\n\r\n<b>Recommendation:</b> Enabled'),(2597,'main','errlog','report_timestamps','0','Report Invalid Timestamps?','boolean',0,'BN','','Should log events that have an invalid timestamp be reported as warnings? This is a purely informational setting and does not affects stats.'),(2598,'main','security','cookie_life','7200','Maximum idle cookie time','text',0,'BN','size=5','Maximum number of <b>seconds</b> a user\'s session cookie can be idle. values less than 60 seconds will be ignored. A session that is logged in and idle for longer than this value will automatically be logged out.\r\n\r\n<b>Recommendation:</b> 1 hour (3600 seconds)'),(2599,'main',NULL,'plr_min_activity','5','Max player inactivity (days)','text',0,'blank,numeric','size=5','This value represents the number of days a player can be inactive.  The higher this value the more active players will appear in the player listing. The \'activity\' value is shown in the player list as a percentage. The higher the percentage shown the more active the player is.\r\n\r\n\'Inactive\' players do not automatically fall off the ranks. This value is only used to calculate the \'Activity\' percentage for players. However, in the player ranking configuration you can specify a minimum activity level required to rank.\r\n\r\n<b>Recommended:</b> 5 - 10 days'),(2600,'main','security','cookie_salt','','Secret Cookie Salt','text',0,'','','\"Cookie Salt\" is a secret phrase that only you should know. This is used in combination with other variables to generate a secret key for certain cookie information to help secure cookies on client browsers (cookie data is encrypted).\r\n\r\nWhile encryption will help protect user data on the client side, using this feature may slow down website requests on your webserver since client cookie data has to be decrypted on every page request. If you want to enable encryption please test it under load first to see if your server will suffer as a result of it.\r\n\r\n<b>Requirements: </b> PHP must have the <a href=\"http://php.net/mcrypt\">mcrypt module</a> installed (This is ignored if mcrypt is not installed).\r\n\r\n<b>Recommendation:</b> Enter a short sentence that only you would know.'),(2601,'theme','permissions','show_admin','1','Show Admin Link?','boolean',0,'','','If enabled the \'Admin\' link at the top of the stats will be visible to all users. This does not prevent the admin URL from working it merely prevents the link from appearing in the users browser.\r\n\r\n<b>Note:</b> This option relies on the theme supporting this configuration setting. A theme can either choose to always show the link, use this setting, or never show the link. If you use third party themes then verify your settings are being applied properly. You may wish to contact the theme author if there are any problems.'),(2602,'info','daily_activity','lastupdate','1220446660',NULL,'text',0,NULL,NULL,NULL),(2604,'theme','permissions','show_version','1','Show PsychoStats Version?','boolean',0,'','','Should the PsychoStats version in the footer of all pages be displayed?'),(2605,'main','ranking','player_min_activity','0','(Player) Minimum Activity %','text',0,'blank,numeric','size=5','Minimum <b>activity</b> percentage required for a player to rank'),(2606,'main',NULL,'site_name','','Site name','text',0,'','','The name of your website.This is not an URL.\r\n\r\nThis string is displayed in certain locations of the theme (like user registrations, etc).'),(2607,'main',NULL,'site_url','','Site URL','text',0,'','','The URL of your main website. This can be any URL you want, but should be a fully qualified URL (ie: you need http://)\r\n\r\nIf this URL is configured it will appear as a \"Home\" link in the main menu of the stats page.'),(2608,'theme','permissions','show_plr_icons','1','Show Player Icons?','boolean',0,'','','Should player icons (mini avatars) be shown in player listings?'),(2609,'theme','permissions','show_clan_icons','1','Show Clan Icons?','boolean',0,'','','Should clan icons (mini avatars) be shown in clan listings?'),(2610,'theme','permissions','show_plr_flags','1','Show Player Flags?','boolean',0,'','','Should player country flags be shown in player listings?'),(2611,'theme','permissions','show_clan_flags','1','Show Clan Flags?','boolean',0,'','','Should clan country flags be shown in clan listings?'),(2612,'main','awards','daily','0','Allow daily awards?','boolean',0,'','','Should daily awards be calculated?'),(2613,'main','awards','allow_partial_day','0','Calculate partial daily awards?','boolean',0,'','','Should awards for partial days be calculated? If enabled awards will be calculated for the day even if the current day is not yet complete (before midnight). The awards will be re-calculated each time logs are processed until the next day rolls around. At that time the awards will be calculated one last time and saved. If disabled you will never seen awards for the current day until the full day has gone by.\r\n\r\n<b>Recommendation:</b> Disabled; It\'s not wise to calculate partial day awards over and over again.'),(2614,'main','daily','maxminutes','60','Max minutes for daily updates','text',0,'blank,numeric','size=5','The daily calculations will be automatically updated every X minutes (real time; not log time). Except awards. See \'max lines\' to limit the updates based on the number of log lines processed.'),(2615,'main','daily','maxlines','50000','Max lines for daily updates','text',0,'blank,numeric','size=5','Maximum number of lines that are processed before the daily updates are performed. This works in relation to the \'max minutes\' setting. The updates are performed if the maximum lines or maximum minutes configured is reached.\r\n\r\nOn a busy server, ~35000 lines will cause an update to occur once or twice in a single day of logs. But this will vary server to server. Setting this too low will only slow down your stats updates and does not benefit you or your stats.\r\n\r\nAwards are not updated.'),(2616,'main','security','cookie_compress','0','GZIP Cookies?','boolean',0,'','','Should session option cookies be compressed? Simple GZIP compression is used on the cookie data to reduce the overall size.'),(2617,'main','security','cookie_encode','0','Encode Cookies?','boolean',0,'','','Should session cookie options be base64 encoded? Enabling this can sometimes make cookies smaller (but the reverse is also true). This simply obfuscates the cookie in the users browser, this is NOT encryption!'),(2618,'theme',NULL,'fetch_compile','1','Compile to Disk?','boolean',0,'','','Should themes be compiled to disk? This should always be enabled! Disabling this option causes the theme to be recompiled on <b>every page request</b> into memory and evaluated. This causes major performance degradation.\r\n\r\nThe only reason to disable this is if the web server user has absolutely no permissions to write to a local directory to store compiled themes (which should never be the case).\r\n\r\n<b>Recommendation:</b> Enabled'),(2619,'theme','map','center','40.317232,-95.339355','Map Center (lat,lng)','text',0,'','','Specify the latitude and longitude (lat,lng) of where the google map should be centered. You can go to http://maps.google.com/ and find a good center point for yourself. By default the center point will be in the United States.\r\n\r\n<b>Examples:</b>\r\nUS = 40.317232,-95.339355\r\nEurope = 48.57479,11.425781'),(2620,'theme','map','zoom','4','Map Zoom Level','text',0,'blank,numeric','size=4','Default map zoom level to use. Experiment with different values between 1 (zoomed in) and 15 (zoomed out).\r\n\r\n<b>Recommendation:</b> 4'),(2621,'main',NULL,'calcskill_kill','default','Skill calculation (kills)','text',0,'blank','','Specifies the type of calculations used to determine how a player skill changes from a kill. A description of each calculation available is detailed below.\r\n\r\nThe \'<b>default</b>\' calculation is a new method that uses the relative skill values of the players but is more stable over time compared to the old \'elo\' method and the players online time is not taken into account. A \'base skill\' around 50 is recommended when using this formula.\r\n\r\nThe \'<b>elo</b>\' calculations use the ELO formula (which is often used in chess games). ELO tries to rate players based on their relative skill values to each other. Player\'s online time is also a factor and the longer a player plays the more stable their skill becomes (this is not part of the original ELO formula). It is argued that this formula is not actually that stable or accurate for a first person shooter type of game. A \'base skill\' around 10000 is recommended when using this formula. Up to PsychoStats v3.0 this was the original and only calculation available. This is no longer the default calculation used in versions 3.1 or newer.\r\n\r\n<b>Recommendation:</b> default'),(2622,'theme','map','maptype','G_SATELLITE_MAP','Map Type','select',0,'blank','G_NORMAL_MAP\r\nG_SATELLITE_MAP\r\nG_HYBRID_MAP\r\nG_PHYSICAL_MAP','Select the default type of map overlay to display.'),(2623,'theme','map','ctrl_maptype','1','Enable Map Type Controls?','boolean',0,'','','Should the button controls to change the map type on the top right of the map overlay be displayed? If this is disabled users will not be able to change the map type.'),(2624,'theme','map','ctrl_map','GLargeMapControl','Map Controls','select',0,'',':- Disabled -\r\nGSmallMapControl\r\nGLargeMapControl','What set of map controls should be displayed for zooming and navigating the map?'),(2625,'theme','map','smoothzoom','1','Enable Smooth Zooming?','boolean',0,'','','Enables continuous smooth zooming for select browsers.'),(2626,'theme','map','mousewheel','1','Enable Mousewheel Zooming?','boolean',0,'','','Enables zooming using a mouse\'s scroll wheel.'),(2627,'theme','map','ctrl_overview','0','Enable Mini Map?','boolean',0,'','','Creates a collapsible overview mini-map in the corner of the main map for reference location and navigation (through dragging).'),(2628,'theme','map','standard_icon','man32.png','Standard Icon','text',0,'blank','','Default image to use for the standard icon for players w/o a custom icon.\r\n\r\nThis icon must be 32x32 or it might not display properly on the map.\r\n\r\nThis is a filename of an icon to use within the themes/[theme]/img/icons/ directory. No path or URL should be included on this path.'),(2629,'theme','map','standard_icon_shadow','man32.shadow.png','Standard Icon Shadow','text',0,'','','Default shadow icon.\r\n\r\nThis icon should be 59x32 or it might not display properly on the map.\r\n\r\nThis is a filename of an icon to use within the themes/[theme]/img/icons/ directory. No path or URL should be included on this path.'),(2630,'theme','map','enable_custom_icons','1','Enable Custom Player Icons?','boolean',0,'','','Should player icons be displayed in the map?\r\n\r\n<b>Note:</b> Due to various image sizes, custom player icons may not always display properly on the map and custom icons do not have a shadow.'),(2631,'main',NULL,'map_save_spatial','1','Save spatial statistics?','boolean',0,'','','Should spatial statistics be collected and saved? Spatial stats track where the location of a player is when they kill or die. These statistics allow for some advanced map overlays to be collected in the map statistics to produce Heatmaps.\r\n\r\n<b>Warning:</b> Enabling spatial statistics requires a lot of extra storage space in the database, and will require more memory when processing logs and will slow down log processing.\r\n\r\n<b>Requirement:</b> In order for spatial stats to be available you must run the PsychoStats plugin on your server. See the <a href=\"http://www.psychostats.com/doc/Spatial\">online documentation</a> for more information.'),(5000,'main',NULL,NULL,'Global configuration settings that affect how and what stats are collected and how users interact with your stats website.','General','none',1,NULL,NULL,NULL),(5001,'main','awards',NULL,'Settings that affect how often awards are calculated. To create or edit actual awards go to the <a href=\"awards.php\">awards list</a>.','Awards','none',1,NULL,NULL,NULL),(5002,'main','daily',NULL,'Settings that affect the \'daily\' calculations being run automatically during long stats.pl updates.','Daily Updates','none',1,NULL,NULL,NULL),(5003,'main','decay',NULL,'Decay settings affect all player stats. When enabled, player skill values will decay automatically depending on how often or little they connect to one of your game servers.','Decay','none',1,NULL,NULL,NULL),(5005,'main','errlog',NULL,'Settings to change how error logging is performed and maintained.','Error Logs','none',1,NULL,NULL,NULL),(5006,'main','ranking',NULL,'Settings for player and clan ranking rules. These settings limit what players and clans can rank in the stats. The lower these settings are the more will rank overall. Note: Changing these settings requires the daily updates \'players\' and \'ranks\' to be processed to see any change.','Ranking','none',1,NULL,NULL,NULL),(5007,'main','security',NULL,'Security settings help protect your PsychoStats installation.','Security','none',1,NULL,NULL,NULL),(5008,'main','skillcalc',NULL,'Skill calculation settings are used with the old ELO method of skill rankings in PsychoStats. Do not change these settings.\r\n\r\n',NULL,'none',1,NULL,NULL,NULL),(5009,'theme',NULL,NULL,'General theme settings that define paths and URL\'s that setup the theme on your server. Most users can keep all paths and URL\'s blank for the system defaults.','General','none',1,NULL,NULL,NULL),(5010,'theme','format',NULL,'Theme formatting options for various dynamic output within a theme. Specify how dates and times will appear in the stats and limit what users can enter for logos.','Formats / HTML','none',1,NULL,NULL,NULL),(5011,'theme','icons',NULL,'Basic ICON (tiny avatar) settings. Limit the size, type and who can upload icons.','Icons','none',1,NULL,NULL,NULL),(5012,'theme','images',NULL,'Basic dynamic image options. These settings are depreciated. Dynamic images are no longer used. ','Images','none',1,NULL,NULL,NULL),(5013,'theme','map',NULL,'Google map settings. Configure how the google map within the player stats will appear. <b>Most important:</b> Configure your google map API key. Go to: <a href=\"http://www.google.com/apis/maps/signup.html\">http://www.google.com/apis/maps/signup.html</a> for more information and your FREE key!','Google Map','none',1,NULL,NULL,NULL),(5014,'theme','permissions',NULL,'General permission settings for theme output. These settings enable/disable various things from appearing in the player stats. Choosing to hide certain features in the theme output does not entirely disable that feature (ie: hiding the Admin link does not disable access to the admin section of the website).','Permissions','none',1,NULL,NULL,NULL),(5015,'main','heatmap',NULL,'Heatmaps are dynamic images that represent spatial player information. Red glowing spots on a heatmap indicate a high concentration of events on that point in the image. \"Death Heatmaps\" are the most common information to display.','Heatmaps','text',0,NULL,NULL,NULL),(5016,'main','psycholive',NULL,'PsychoLive playback settings change the way a PsychoLive recording is played back to a user in their browser.','PsychoLive','text',1,NULL,NULL,NULL),(6000,'main','daily','per_day_ranks','1','Calculate ranks every day?','boolean',0,'blank,numeric','','If enabled, player ranks will be recalculated when the day changes within the context of the current logs being scanned. This is only useful when batch processing several days of logs. This helps keep the up/down rank arrows more accurate.'),(6001,'theme','permissions','show_plr_profile','1','Show Player Profiles?','boolean',0,'','','Should player profiles be displayed?\r\n\r\nPlayer profiles are the extra information that players can configure on their player pages. This includes their website, email, AIM, ICQ, Steam community page link, a google map and possibly other information.'),(6002,'main','heatmap','scale','0.5','Heatmap scale','text',0,'blank,numeric','size=5','The scale represents the size of the heatmap to generate. \r\n\r\nA scale of 1 means the heatmap will be the same resolution as the map overlay and has no loss of detail. A scale of 0.5 means the heatmap would be 1/2 the size, and a scale of 2 would be double the size. When a heatmap is displayed on top of a map overlay image it is stretched automatically to fit the actual overlay image.\r\n\r\nThe larger the heatmap the longer it takes to process the image and the larger the file or database storage is required.\r\n\r\n<b>Recommendation:</b> 0.5 (with a brush size of \'medium\')'),(6003,'main','heatmap','brush','medium','Heatmap brush size','select',0,'blank','small:Small (9x9)\r\nmedium:Medium (25x25)\r\nlarge:Large (53x53)','The brush size determines how large the heatmap plots are. A small brush will produce very small \'dots\' on the heatmap and shows a very detailed heatmap. A large brush size causes more \'heat\' to be applied and causes larger areas to be consumed on the overlay. \r\n\r\n<b>Recommendation:</b> Medium (with a scale of 0.5)'),(6006,'main','heatmap','maxdays','365','Max days spatial data','text',0,'blank,numeric','size=5','Maximum days of spatial data to keep for heatmaps. A months worth of spatial data on an active server can be roughly 10-15MB and over 300k samples of data.\r\n\r\nAnything past about a month or so will not generally provide any more detail on heatmaps.\r\n\r\n<b>Recommendation:</b> 1-2 months'),(6007,'main','heatmap','dir','','Directory','text',0,'','','By default, heatmaps are stored in the database so they can be retrieved from the webserver w/o any file permission or location problems. If your psychostats installation is run from another machine you must store heatmaps in the database.\r\n\r\nHeatmaps will be saved in the directory specified, or if left blank they will be saved in the database.\r\n\r\n<b>Recommendation:</b> If stats.pl is run on this web server then specify a directory that is accessible to the web server. Otherwise leave this blank.'),(6008,'main','heatmap','expires','3600','Expire Cache','text',0,'numeric','size=5','How many seconds a heatmap image can be cached on the client\'s browser. This is a per-client setting and does not always force a heatmap image to be cached. Typically, a user\'s browser will cache the images it downloads for a short period and will not re-download the image unless the user forces the browser to reload all images. If left blank, no expires header is sent to the client.\r\n\r\nThis setting will help reduce load on your web server. <b>Only works on Apache web servers!</b>\r\n\r\n<b>Recommendation:</b> 1 hour (3600 seconds)'),(6009,'theme',NULL,'overlays_dir','','Images: Overlays directory','text',0,'','','Absolute root directory where map overlay images are located. These images are used for heatmaps.\r\n\r\n<b>Recommendation:</b> Leave blank for default. (auto-discovered)'),(6010,'theme',NULL,'overlays_url','','Images: Overlays URL','text',0,'','','Absolute URL for map overlay images. This should match up to the location of the \"Overlays directory\" setting. So the images can be referenced within the theme output correctly.\r\n\r\n<b>Recommendation:</b> Leave blank for default (auto-discovered)'),(6011,'theme','permissions','show_hitbox','1','Show Player Hitbox?','boolean',0,'','','Should the hitbox for weapons be displayed? Most games have some sort of hitbox / accuracy information logged and is displayed by PsychoStats but some may not. \r\n\r\n<b>Recommended:</b> On for most games.'),(6012,'main','heatmap','limit','25000','Maximum Samples','text',0,'numeric','size=5','Limit the total samples of spatial data to use to generate a heatmap. The more samples allowed the more detailed a heatmap will be, but will take longer to render when created.\r\n\r\nLeave blank for the default of 5500\r\n\r\n<b>Recommendation:</b> 5000 - 10000'),(6013,'main','security','search_limit','1000','Search Limit','text',0,'blank,numeric','size=5','Hard limit on the total number of results allowed to be returned in a search result.\r\n\r\n<b>Recommendation:</b> 1000'),(6014,'theme',NULL,'language','','Default Language','text',0,'','','Enter the default language to use for themes. A valid name of the language file within the \'language\' directory of your theme must be entered. \r\n\r\nIf no value is entered or an invalid value is entered then en_US will be used by default.'),(6015,'theme','','enable_gzip','0','Enable GZIP Compression','boolean',0,'','','Enables GZIP (or deflate) compression for all theme based output. Compression can reduce the output of a page up to 10 times or more! This feature auto-disables itself for clients that do not support compression.\r\n\r\nIf PsychoStats is embedded into a 3rd party application this feature should usually be disabled otherwise you may end up with double or mismatched compression and the output will be corrupted.\r\n\r\n<b>Recommendation:</b> Enabled'),(6016,'main','daily','stream_save_seconds','60','Stream save frequency','text',0,'blank,numeric','size=5','How often a \"STREAM\" log source will save it\'s stats to the database. A low value is desired when you want extremely real-time stats. \r\n\r\nDo not set this too low, or you will waste CPU cycles inserting nothing into the database.\r\n\r\n<b>Recommended:</b> 60 seconds'),(6017,'theme','','js_compress','0','Compress Javascript?','boolean',0,'','','If \"GZIP Compression\" is enabled and a client supports gzip or deflate compression then all javascript within a theme will automatically be combined and compressed into a single request. \r\n\r\nEnabling this is recommended for most people, as it reduces the number of requests to your server and speeds up javascript on the client side.\r\n\r\nThe configuration option \"Enable GZIP Compression\" must be enabled for this to have any affect.\r\n\r\n<b>Recommendation:</b> Yes'),(6018,'main','psycholive','delay','15','Playback Delay','text',0,'numeric','size=5','How many seconds to delay playback of a real-time game. Delaying the playback of a game prohibits players from viewing a real-time game online and using that to cheat in-game by seeing where players are located.\r\n\r\n<b>Recommendation:</b> 15 - 30 seconds');
INSERT INTO `ps_config_awards` (`id`, `enabled`, `idx`, `type`, `negative`, `class`, `name`, `groupname`, `phrase`, `expr`, `order`, `where`, `limit`, `format`, `gametype`, `modtype`, `rankedonly`, `description`) VALUES (4,1,10,'player',0,'','Highest Skill','','{$player.link} has the highest skill with {$award.value}','{$skill}','desc','',0,'%.02f',NULL,NULL,1,'Player with the highest skill'),(5,1,90,'player',0,'','Most Bombings','','{$player.link} has the most successful bombings ({$award.value} bombs)','{$bombexploded}','desc','',25,'commify','halflife','cstrike',1,'Players with the most successful bombed targets'),(6,1,20,'player',0,'','Most Kills','','{$player.link} has killed the most players ({$award.value})','{$kills}','desc','',0,'commify',NULL,NULL,1,'Player with the most kills (any team)'),(7,1,110,'player',0,'','Most Hostages Rescued','','{$player.link} has rescued the most hostages ({$award.value})','{$rescuedhostages}','desc','',0,'commify','halflife','cstrike',1,'Players that risk life and limb to save hostages!'),(8,1,70,'player',0,'','Most Time Online','','{$player.link} has been online the longest ({$award.value})','{$onlinetime}','desc','',25,'compacttime',NULL,NULL,1,'Player with the most online time'),(9,1,190,'weaponclass',0,'','Most Kills with {$weapon.class} weapons','','{$player.link} has the most {$weapon.class} kills ({$award.value})','{$kills}','desc','',0,'commify',NULL,NULL,1,'Most kills with {$weapon.class} type weapons (including: {$weapon.list}).'),(10,1,180,'weapon',0,'','Most Kills with {$weapon.name}','','{$player.link} has the most {$weapon.link} kills ({$award.value})','{$kills}','desc','',0,'commify',NULL,NULL,1,'Most kills with a {$weapon.name}'),(11,1,80,'player',0,'','Demolitions Man','','{$player.link} has the best demolition percentage of {$award.value}','{$bombrunner} / {$bombexploded} * 100','desc','',25,'%0.02f%%','halflife','cstrike',1,'Players with the highest percentage of spawning with and planting the bomb and actually having it explode.'),(12,1,100,'player',0,'','Bomb Defusal Expert','','{$player.link} has the best defusal rating of {$award.value}','{$bombdefused} / {$bombdefuseattempts} * 100','desc','{$bombdefused} >= 5',25,'%0.02f%%','halflife','cstrike',1,'Player with the best bomb defuses percentage (must have at least 5 defuses to count)'),(13,1,30,'player',0,'','Most Bonus Points','','{$player.link} achieved the most bonus points ({$award.value})','{$totalbonus}','desc','',25,'commify',NULL,NULL,1,'Player that has achieved the most bonus points.'),(17,1,165,'player',0,'','Most Allied Flags Captured','','{$player.link} has the most Allied flag captures ({$award.value} flags)','{$alliesflagscaptured}','desc','',10,'commify','halflife','dod',1,'Most flags captured as an ally.'),(19,1,170,'player',0,'','Most Axis Flags Captured','','{$player.link} has the most Axis flag captures ({$award.value} flags)','{$axisflagscaptured}','desc','',10,'commify','halflife','dod',1,'Most flags captured as an Axis.'),(22,1,140,'player',0,'','Most Flags Captured','','{$player.link} has captured the most flags ({$award.value})','{$flagscaptured}','desc','',10,'commify','halflife','dod|tf2',1,'Player has captured the most flags.'),(23,1,50,'player',1,'','Worst Teammate','','{$player.link} has killed the most teammates ({$award.value})','{$ffkills}','desc','',0,'commify',NULL,NULL,1,'Player with the most friendly fire kills (ie: Worst Teammate)'),(24,1,40,'player',1,'','Suicide King','','{$player.link} has commited suicide the most ({$award.value})','{$suicides}','desc','',10,'commify',NULL,NULL,1,'Players with nothing to live for'),(25,1,60,'player',1,'','Worst Team Kill Percentage','','{$player.link} has the highest team kill percentage ({$award.value})','{$ffkills} / {$kills} * 100','desc','',0,'%0.02f%%',NULL,NULL,1,'Player with the highest team kill percentage.'),(26,1,120,'player',1,'','Most Hostages Killed','','{$player.link} has killed the most hostages ({$award.value})','{$killedhostages}','desc','',0,'%s','halflife','cstrike',1,'Players that like to kill hostages instead of rescuing them.'),(27,1,130,'player',0,'','Most Backstabs','','{$player.link} has the most sneaky backstabs ({$award.value})','{$backstabkills}','desc','',0,'commify','halflife','tf2',1,'Players that are sneaky and like to kill others from the shadows!'),(28,1,160,'player',0,'','Most Flags Defended','','{$player.link} has defended the most flags ({$award.value})','{$flagsdefended}','desc','',1,'%s','halflife','dod|tf2',1,'Player who has defended (or returned) the most flags from the enemy.');
INSERT INTO `ps_config_clantags` (`id`, `idx`, `clantag`, `overridetag`, `pos`, `type`, `example`) VALUES (8,70,'^(([^\\w\\d\\S]).+\\2).','','left','regex','-clan-playername'),(7,60,'^(\\].+?\\[).','','left','regex',']clan[playername'),(5,40,'^(<.+?>).','','left','regex','<clan>playername'),(6,50,'^(\\|.+?\\|).','','left','regex','|clan|playername'),(4,30,'^(\\{.+?\\}).','','left','regex','{clan}playername'),(3,10,'^(\\(.+?\\)).','','left','regex','(clan)playername'),(2,5,'^(\\[.+?\\]).','','','regex','[clan]playername'),(9,100,'.(\\[.+?\\])$','','right','regex','playername[clan]'),(10,110,'.(\\(.+?\\))$','','left','regex','playername(clan)'),(11,120,'.(<.+?>)$','','right','regex','playername<clan>'),(12,130,'.(\\|.+?\\|)$','','left','regex','playername|clan|'),(13,80,'^([^\\|]+\\|)','','left','regex','clan|playername'),(14,90,'^(~.+?~).','','left','regex','~clan~playername');
INSERT INTO `ps_config_events` (`id`, `gametype`, `modtype`, `eventname`, `alias`, `regex`, `idx`, `ignore`, `codefile`) VALUES (1,'halflife','','kill','','/^\"(.+(?:<[^>]*>))\" killed \"(.+(?:<[^>]*>))\" with \"([^\"]*)\"(.*)/',10,0,''),(2,'halflife','','attacked','','/^\"(.+(?:<[^>]*>))\" attacked \"(.+(?:<[^>]*>))\" with \"([^\"]+)\"(.*)/',20,1,''),(3,'halflife','','plrtrigger','','/^\"(.+(?:<[^>]*>))\" triggered \"([^\"]+)\"(.*)/',30,0,''),(4,'halflife','','round','','/^World triggered \"([^\"]+)\"(.*)/',40,0,''),(5,'halflife','','entered_game','','/^\"(.+(?:<[^>]*>))\" entered the game(.*)/',50,0,''),(6,'halflife','','joined_team','','/^\"(.+(?:<[^>]*>))\" joined team \"([^\"]+)\"/',80,0,''),(7,'halflife','','suicide','','/^\"(.+(?:<[^>]*>))\" committed suicide with \"([^\"]+)\"(.*)/',100,0,''),(8,'halflife','','changed_name','','/^\"(.+(?:<[^>]*>))\" changed name to \"([^\"]+)\"/',90,0,''),(9,'halflife','','connected','','/^\"(.+(?:<[^>]*>))\" connected, address \"([^\"]+)\"/',60,0,''),(10,'halflife','','connected_steamid','','/^\"(.+(?:<[^>]*>))\" (?:STEAM|VALVE) USERID (.+)/',70,0,''),(11,'halflife','','disconnected','','/^\"(.+(?:<[^>]*>))\" disconnected/',110,0,''),(12,'halflife','','chat','','/^\"(.+(?:<[^>]*>))\" say(_team)* \"(.*)\"?(.*)/',120,0,''),(13,'halflife','','rcon','','/^(Bad )?Rcon: \"rcon (-*\\d+) \"?(.*?)\"? (.+?)(?:\" from \"([^\"]+)\")?/',140,1,''),(14,'halflife','','cheated','','/^Secure: \"(.+(?:<[^>]*>))\" was detected cheating/',150,0,''),(15,'halflife','','ban','','/^(Addip|Ban(?:id)?): \"([^\"]+)\" was (?:kicked and )?(?:banned)(?: by IP)? \"([^\"]+)\" by \"([^\"]+)\"(.*)/',160,1,''),(16,'halflife','','unban','','/^Remove(id|ip): \"([^\"]+)\" was unbanned by \"(.+(?:<[^>]*>))\"(.*)/',170,1,''),(17,'halflife','','kick','','/^Kick: \"(.+(?:<[^>]*>))\" was kicked by \"(.+(?:<[^>]*>)?)\"(.*)/',180,0,''),(18,'halflife','','pingkick','','/^\"(.+(?:<[^>]*>))\" kicked due to high ping(.*)/',190,0,''),(19,'halflife','','ffkick','','/^\"(.+(?:<[^>]*>))\" has been auto kicked from the game for TKing/',200,0,''),(20,'halflife','','startedmap','','/^(Started|Loading) map \"([^\"]+)\"(.*)/',210,0,''),(21,'halflife','','logstartend','','/^Log file (started|closed)(.*)/',220,0,''),(22,'halflife','','ignored1','','/^[Ss]erver (?:cvars?|say|shutdown)/',250,1,''),(23,'halflife','','ignored2','','/^(?:\\]TSC\\[|Succeeded|FATAL|-|Loaded)/',260,1,''),(24,'halflife','','ignored3','','/^(?:Config|Swear|server_)/',270,1,''),(25,'halflife','','ignored4','','/^\"[^\"]+\" = \"/',280,1,''),(26,'halflife','cstrike','cs_teamscore','','/^Team \"([^\"]+)\" scored \"([^\"]+)\" with \"([^\"]+)\" players/',290,0,''),(27,'halflife','cstrike|tf2','teamtrigger','','/^Team \"([^\"]+)\" triggered \"([^\"]+)\"(.*)/',300,0,''),(28,'halflife','cstrike','cs_ignore1','','/^Counter-Strike Plugin/',310,1,''),(29,'halflife','cstrike','cs_ignore2','','/^Votemap/',320,1,''),(30,'halflife','dod','plrtrigger','','/^\"(.+(?:<[^>]*>))\" triggered(?: a)? \"([^\"]+)\"(.*)/',400,0,''),(31,'halflife','dod','dods_scores','','/^Team \"([^\"]+)\" (scored|captured)/',390,1,''),(32,'halflife','dod','dods_ignore1','','/^\"(.+(?:<[^>]*>))\" blocked/',380,1,''),(33,'halflife','dod|tf2|natural','changed_role','','/^\"(.+(?:<[^>]*>))\" changed role to \"([^\"]+)\"/',340,0,''),(34,'halflife','dod','dod_objitem','','/^\"(.+(?:<[^>]*>))\" triggered an objective item/',350,1,''),(35,'halflife','dod','dod_teamscore','','/^\"([^\"]+)\" scored \"([^\"]+)\" with \"([^\"]+)\" players/',360,0,''),(36,'halflife','dod','teamtrigger','','/^Team \"([^\"]+)\" triggered(?: a)? \"([^\"]+)\"(.*)/',330,0,''),(37,'halflife','dod','dod_ignore1','','/^(?:Final)/',370,1,''),(49,'halflife','','plugin','','/^\\[[^\\]]+\\]/',240,1,''),(39,'halflife','natural|tf2','plrtrigger','','/^\"(.+(?:<[^>]*>))\" triggered \"([^\"]+)\"(?: against \"(.+(?:<[^>]*>))\")?(.*)/',410,0,''),(40,'halflife','natural','ns_mapinfo','','/^\\(map_name \"([^\"]+)\"\\)(.*)/',420,0,''),(41,'halflife','natural','ns_teamlost','','/^Team \\d+ has lost/',440,1,''),(42,'halflife','natural','ns_ignore1','','/^(?:Map validity|Game reset|AvHGamerules|Contact|BUG:|AvHVisibleBlipList)/',450,1,''),(43,'halflife','natural','ns_ignore2','','/^Team \"\\d+\" scored/',460,1,''),(44,'halflife','natural','ns_eject_fix','','/^Eject commander: \\d+ of \\d+ votes needed\\.(.*)/',430,0,''),(45,'halflife','','rcon2','','/^rcon from/',130,1,''),(46,'halflife','tf2','tf2_kick','kick','/^Kick:/',480,1,''),(47,'halflife','tf2','tf2_teamscore','','/^Team \"([^\"]+)\" (\\w+) score \"(\\d+)\" with \"(\\d+)\" players/',470,1,''),(48,'halflife','','spatial','','/^\\[KTRAJ\\] \"(.+(?:<[^>]*>))\" killed \"(.+(?:<[^>]*>))\" with \"([^\"]*)\"(.*)/',230,0,''),(50,'halflife','','console','','/^(CONSOLE|PLAYER FILTER) :/',490,1,''),(52,'cod','','cod_init','','/^InitGame:\\s*(.+)/',500,0,''),(53,'cod','','cod_shutdown','','/^ShutdownGame:/',520,0,''),(59,'cod','','cod_plrtrigger','','/^(\\w+);(.+)/',495,0,'');
INSERT INTO `ps_config_overlays` (`id`, `gametype`, `modtype`, `map`, `minx`, `miny`, `maxx`, `maxy`, `width`, `height`, `flipv`, `fliph`, `rotate`) VALUES (1,'halflife','cstrike','cs_assault',-4250,3400,7530,7250,485,500,1,1,0),(2,'halflife','cstrike','cs_compound',290,-2400,5500,3750,373,500,1,0,0),(3,'halflife','cstrike','cs_estate',-1135,-2175,1311,527,647,711,1,0,0),(4,'halflife','cstrike','cs_havana',-1520,-1220,1700,2300,497,500,1,0,0),(5,'halflife','cstrike','cs_italy',-1530,-2100,1090,2560,284,500,1,0,0),(6,'halflife','cstrike','cs_office',-1820,-2200,2350,1300,598,500,1,0,0),(7,'halflife','cstrike','cs_siege',-2813,-1391,3911,3895,970,765,1,0,0),(8,'halflife','cstrike','de_airstrip',-3239,-3279,839,2815,640,968,1,0,0),(9,'halflife','cstrike','de_aztec',-3130,-1770,2980,1500,917,500,1,0,0),(10,'halflife','cstrike','de_cbble',-3450,-2300,1530,2950,475,500,1,0,0),(11,'halflife','cstrike','de_chateau',-500,-1450,3110,2910,417,500,1,0,0),(12,'halflife','cstrike','de_dust',-2100,-1850,2600,3800,409,500,1,0,0),(13,'halflife','cstrike','de_dust2',-2240,-1080,1800,3320,470,500,1,0,0),(14,'halflife','cstrike','de_inferno',-2000,-800,2800,3640,535,500,1,0,0),(15,'halflife','cstrike','de_nuke',-3000,-2530,3690,960,964,500,1,0,0),(16,'halflife','cstrike','de_piranesi',-2900,-930,2560,2720,759,500,1,0,0),(17,'halflife','cstrike','de_prodigy',-220,-1640,3350,1050,662,500,1,0,0),(18,'halflife','cstrike','de_seasideresort',-1820,-2150,2100,4190,308,500,1,0,0),(19,'halflife','cstrike','de_survivor',-1903,-1263,3455,3055,965,764,1,0,0),(20,'halflife','cstrike','de_tides',-1750,-2000,1300,1280,485,500,1,0,0),(21,'halflife','cstrike','de_train',-2000,-1800,2050,1900,560,500,1,0,0),(22,'halflife','cstrike','dm_duel_v2',-770,-1209,1614,1232,1002,972,1,0,0),(23,'halflife','cstrike','fy_beachparty_v1',-288,-1008,2192,960,1002,972,1,0,0),(24,'halflife','cstrike','fy_iceworld',-752,-944,752,944,1002,972,1,0,0),(25,'halflife','cstrike','fy_paintball',396,-1740,1488,778,1002,972,1,0,0),(26,'halflife','cstrike','fy_poolparty_v2',-264,-1966,718,-205,1002,972,1,0,0),(27,'halflife','cstrike','fy_simpsons_h',-952,-461,952,469,1002,972,1,0,0),(28,'halflife','cstrike','fy_xbox',-1792,-672,496,672,1002,972,1,0,0),(29,'halflife','cstrike','tc_hydro',-5928,-3152,6600,2952,1146,564,1,0,0),(30,'halflife','dod','dod_acclaim',-1920,-3456,2560,3584,589,941,1,0,0),(31,'halflife','dod','dod_advance',-1152,-3968,2176,3968,589,941,1,0,0),(32,'halflife','dod','dod_dummy',1472,-3968,-2176,4032,460,1015,1,0,0),(33,'halflife','dod','dod_edge2',-2176,-3968,1472,4032,460,1015,1,0,0),(34,'halflife','dod','dod_expire_b3',-3840,-1508,3608,1124,1005,354,1,0,0),(35,'halflife','dod','dod_freeze_b5',-2112,-1024,3648,3584,876,704,1,0,0),(36,'halflife','dod','dod_frost2',-3326,-2562,3076,3348,799,735,1,0,0),(37,'halflife','dod','dod_fury',-2048,-2240,2176,2816,679,785,1,0,0),(38,'halflife','dod','dod_muhle_b2',-3978,-2054,1872,1890,871,585,1,0,0),(39,'halflife','dod','dod_siracusa',-1216,-2304,2560,2496,589,742,1,0,0),(40,'halflife','dod','dod_snowcity_v3',-3484,-3646,3454,318,989,565,1,0,0),(41,'halflife','dod','dod_steinburg',-3264,-2560,1088,3136,629,818,1,0,0),(42,'halflife','dod','dod_strom_b4',-2674,-2128,2760,2458,943,797,1,0,0),(43,'halflife','dod','dod_tact_v5',-1728,-3200,3392,640,819,618,1,0,0),(44,'halflife','dod','dod_thunder',-3968,-3840,3840,2304,974,760,1,0,0),(45,'halflife','dod','dod_vire',-1168,-3456,2560,528,699,746,1,0,0),(46,'halflife','tf2','cp_badlands',-2504,-4840,2504,4840,861,903,1,0,0),(47,'halflife','tf2','cp_castle3',-2736,-2640,8328,6896,1304,1126,1,0,0),(48,'halflife','tf2','cp_corporation_b1',-2952,-3272,2980,2015,1009,898,1,0,0),(49,'halflife','tf2','cp_desertfortress',-2794,-2388,2494,2892,886,884,1,0,0),(50,'halflife','tf2','cp_dogblu_b3',-1048,-2392,3816,10968,378,1049,1,0,0),(51,'halflife','tf2','cp_dustbowl',-3716,-2912,2856,3422,928,915,1,0,0),(52,'halflife','tf2','cp_four_trees_v2',-1348,-4693,1874,4250,443,1172,1,0,0),(53,'halflife','tf2','cp_granary',-4224,-6868,1153,6868,429,1140,1,0,0),(54,'halflife','tf2','cp_gravelpit',-5376,-1024,2248,5636,848,741,1,0,0),(55,'halflife','tf2','cp_jailbreak_b3',-4200,-9615,495,-1168,625,1119,1,0,0),(56,'halflife','tf2','cp_japan_v2',3092,-3617,11784,-1140,1598,430,1,0,0),(57,'halflife','tf2','cp_junction_v2',-3329,-1018,2528,5080,831,898,1,0,0),(58,'halflife','tf2','cp_labor',-1602,-4862,1444,3096,453,1175,1,0,0),(59,'halflife','tf2','cp_lazytown',-3560,-2856,1768,6696,629,1125,1,0,0),(60,'halflife','tf2','cp_redstone_b1',-2026,-7008,2977,6340,429,1118,1,0,0),(61,'halflife','tf2','cp_roswell_b2',-840,-1695,3391,4121,720,987,1,0,0),(62,'halflife','tf2','cp_silo_b3',-872,-4120,2016,6360,240,1124,1,0,0),(63,'halflife','tf2','cp_switchback_b5',-1624,-3488,2000,9104,328,1135,1,0,0),(64,'halflife','tf2','cp_vertigo_beta3',-1208,-2766,2792,2860,804,1102,1,0,0),(65,'halflife','tf2','cp_warpath2_1b',-3761,-2962,3983,2962,1200,915,1,0,0),(66,'halflife','tf2','cp_well',-4608,-6696,1534,7464,480,1109,1,0,0),(67,'halflife','tf2','ctf_2fort',-1960,-4248,1960,4248,396,907,1,0,0),(68,'halflife','tf2','ctf_chaos',-1656,-660,1656,3108,657,746,1,0,0),(69,'halflife','tf2','ctf_impact2',-768,-3128,2454,3968,427,934,1,0,0),(70,'halflife','tf2','ctf_mach4',-969,-2129,1672,3620,515,1113,1,0,0),(71,'halflife','tf2','ctf_turbine_v3',-3856,-1752,3856,1752,1506,684,1,0,0),(72,'halflife','tf2','ctf_well',-4608,-5800,1534,6568,500,1017,1,0,0);
INSERT INTO `ps_config_plrbonuses` (`id`, `eventname`, `enactor`, `enactor_team`, `victim`, `victim_team`, `description`, `gametype`, `modtype`) VALUES (1,'planted_the_bomb',2,1,0,-1,'When a player plants the bomb','halflife','cstrike'),(2,'defused_the_bomb',2,0,-1,0,'A player defused the bomb successfully. Use the \'bomb_defused\' event for team bonses.','halflife','cstrike'),(3,'rescued_a_hostage',3,0,0,0,'When a player rescues a hostage','halflife','cstrike'),(8,'bomb_runner',1,0,0,0,'Player spawned with and planted the bomb w/o dropping it','halflife','cstrike'),(7,'bomb_defused',0,2,0,-2,'TEAM event that fires when a round ends and the CT team defuses the bomb (use \'defused_the_bomb\' for enactor bonus)','halflife','cstrike'),(10,'target_bombed',5,2,0,-2,'TEAM event that fires when the bomb explodes and the terrorists win','halflife','cstrike'),(11,'suicide',-1,0,0,0,'When a player commits suicide. Does not count when a player switches teams.','',''),(12,'all_hostages_rescued',0,2,0,-2,'TEAM event that fires when all hostages on a CS map have been rescued (no enactor)','halflife','cstrike'),(13,'target_saved',0,5,0,-5,'TEAM event that fires when a round ends and the terrorists did not plant a bomb','halflife','cstrike'),(14,'hostages_not_rescued',0,2,0,-2,'TEAM event that fires when a round ends and the hostages are NOT rescued','halflife','cstrike'),(15,'bomb_defuse',2,1,-1,0,'A player defused a bomb','halflife','dod'),(16,'bomb_plant',2,1,0,0,'A player planted a bomb','halflife','dod'),(17,'dod_blocked_point',1,0,0,0,'1 or more players blocked a control point before it could be captured from the enemy team.','halflife','dod'),(18,'dod_capture_area',2,0,0,0,'1 or more players captured a flag area','halflife','dod'),(19,'dod_control_point',2,0,0,0,'A Player captured a flag point','halflife','dod'),(20,'kill_planter',5,0,0,0,'A player killed a player while they were attempting to plant a bomb.','halflife','dod'),(21,'votedown',0,0,0,0,'A player voted for the current commander (victim) to step down.','halflife','natural'),(23,'structure_destroyed',0,0,0,0,'A player destroyed a structure','halflife','natural'),(36,'kill_assist',0,0,0,0,'When a player assists in another kill','halflife','tf2'),(35,'commander_win',0,0,0,0,'When the marines win, the commander can be given some bonus points.','halflife','natural'),(27,'round_win',0,5,0,-5,'TEAM event that fires when a round ends and a team won','halflife','dod|natural'),(28,'killed_a_hostage',-3,0,0,0,'When a player kills a hostage','halflife','cstrike'),(29,'escaped_as_vip',10,0,0,0,'When a player escapes an \'es\' map as the VIP (use \'vip_escaped\' for team bonuses)','halflife','cstrike'),(30,'vip_escaped',0,5,0,-5,'TEAM event that fires when the VIP escapes the map (use escaped_as_vip for enactor bonus)','halflife','cstrike'),(31,'assassinated_the_vip',10,0,-5,0,'When a player kills the VIP (use \'vip_assassinated\' for team bonuses)','halflife','cstrike'),(32,'vip_assassinated',0,10,0,-10,'TEAM event that fires when the VIP was killed (use \'assassinated_the_vip\' for enactor bonus)','halflife','cstrike'),(33,'vip_not_escaped',0,5,0,-5,'TEAM event that fires when the VIP does not escape and terrorists win','halflife','cstrike'),(34,'ffkill',-1,0,0,0,'when a player kills a team mate','',''),(37,'flag_defended',5,0,0,0,'When a player defends a flag','halflife','tf2|soldat'),(38,'flag_captured',5,0,0,0,'When a player captures a flag','halflife','tf2|soldat'),(39,'chargedeployed',0,0,0,0,'When a player (medic) deploys their uber charge thingy','halflife','tf2'),(40,'captureblocked',0,0,0,0,'When a player blocks another from capturing a point','halflife','tf2'),(41,'pointcaptured',0,5,0,-5,'TEAM event that fires when a point is captured','halflife','tf2');
INSERT INTO `ps_config_themes` (`name`, `parent`, `enabled`, `version`, `title`, `author`, `website`, `source`, `image`, `description`) VALUES ('default',NULL,1,'1.0','Default Theme','Stormtrooper','http://www.psychostats.com/','http://updates.psychostats.com/themes/default.xml','http://updates.psychostats.com/themes/default.png','Default PsychoStats theme.'),('default-blue','default',1,'1.0','Default Theme - blue skin','Stormtrooper','http://www.psychostats.com/','http://updates.psychostats.com/themes/default-blue.xml','http://updates.psychostats.com/themes/default-blue.png','blue skin for default theme.');
INSERT INTO `ps_geoip_cc` (`cc`, `cn`) VALUES ('GB','United Kingdom'),('US','United States'),('CA','Canada'),('MX','Mexico'),('BM','Bermuda'),('SE','Sweden'),('IT','Italy'),('PR','Puerto Rico'),('VI','Virgin Islands, U.S.'),('DE','Germany'),('IR','Iran, Islamic Republic of'),('BO','Bolivia'),('NG','Nigeria'),('NL','Netherlands'),('FR','France'),('IL','Israel'),('ES','Spain'),('A2','Satellite Provider'),('CL','Chile'),('BS','Bahamas'),('AR','Argentina'),('DM','Dominica'),('BE','Belgium'),('IE','Ireland'),('BZ','Belize'),('BR','Brazil'),('CH','Switzerland'),('ZA','South Africa'),('GA','Gabon'),('EG','Egypt'),('NA','Namibia'),('ZW','Zimbabwe'),('BJ','Benin'),('GH','Ghana'),('CG','Congo'),('MW','Malawi'),('UG','Uganda'),('CM','Cameroon'),('NE','Niger'),('KE','Kenya'),('SC','Seychelles'),('TZ','Tanzania, United Republic of'),('KM','Comoros'),('RW','Rwanda'),('DZ','Algeria'),('CI','Cote D\'Ivoire'),('SD','Sudan'),('LS','Lesotho'),('ML','Mali'),('BF','Burkina Faso'),('SZ','Swaziland'),('MG','Madagascar'),('AO','Angola'),('MA','Morocco'),('SL','Sierra Leone'),('MU','Mauritius'),('TG','Togo'),('LY','Libyan Arab Jamahiriya'),('SN','Senegal'),('RE','Reunion'),('MZ','Mozambique'),('CV','Cape Verde'),('ZM','Zambia'),('GQ','Equatorial Guinea'),('CD','Congo, The Democratic Republic of the'),('BW','Botswana'),('LR','Liberia'),('CF','Central African Republic'),('GM','Gambia'),('TN','Tunisia'),('EU','Europe'),('JP','Japan'),('IN','India'),('AU','Australia'),('TH','Thailand'),('CN','China'),('MY','Malaysia'),('PK','Pakistan'),('NZ','New Zealand'),('KR','Korea, Republic of'),('HK','Hong Kong'),('SG','Singapore'),('BD','Bangladesh'),('ID','Indonesia'),('PH','Philippines'),('TW','Taiwan'),('AF','Afghanistan'),('VN','Vietnam'),('AP','Asia/Pacific Region'),('PA','Panama'),('NC','New Caledonia'),('BN','Brunei Darussalam'),('GR','Greece'),('SA','Saudi Arabia'),('PL','Poland'),('ME','Montenegro'),('CZ','Czech Republic'),('RU','Russian Federation'),('CY','Cyprus'),('NO','Norway'),('AT','Austria'),('UA','Ukraine'),('TJ','Tajikistan'),('DK','Denmark'),('PT','Portugal'),('TR','Turkey'),('GE','Georgia'),('BY','Belarus'),('IQ','Iraq'),('AM','Armenia'),('LB','Lebanon'),('MD','Moldova, Republic of'),('BG','Bulgaria'),('FI','Finland'),('OM','Oman'),('LV','Latvia'),('KZ','Kazakstan'),('EE','Estonia'),('SK','Slovakia'),('BA','Bosnia and Herzegovina'),('HU','Hungary'),('KW','Kuwait'),('AL','Albania'),('LT','Lithuania'),('SM','San Marino'),('RO','Romania'),('RS','Serbia'),('LU','Luxembourg'),('IS','Iceland'),('AE','United Arab Emirates'),('CR','Costa Rica'),('MK','Macedonia'),('MT','Malta'),('FK','Falkland Islands (Malvinas)'),('BH','Bahrain'),('UZ','Uzbekistan'),('AZ','Azerbaijan'),('MC','Monaco'),('HT','Haiti'),('GU','Guam'),('JM','Jamaica'),('FM','Micronesia, Federated States of'),('EC','Ecuador'),('CO','Colombia'),('PE','Peru'),('KY','Cayman Islands'),('SI','Slovenia'),('HN','Honduras'),('AN','Netherlands Antilles'),('YE','Yemen'),('VG','Virgin Islands, British'),('LC','Saint Lucia'),('SY','Syrian Arab Republic'),('NI','Nicaragua'),('DO','Dominican Republic'),('GT','Guatemala'),('VE','Venezuela'),('HM','Heard Island and McDonald Islands'),('UY','Uruguay'),('JO','Jordan'),('SV','El Salvador'),('TT','Trinidad and Tobago'),('LK','Sri Lanka'),('BV','Bouvet Island'),('MH','Marshall Islands'),('CK','Cook Islands'),('GI','Gibraltar'),('PY','Paraguay'),('A1','Anonymous Proxy'),('AG','Antigua and Barbuda'),('WS','Samoa'),('KN','Saint Kitts and Nevis'),('PW','Palau'),('QA','Qatar'),('KH','Cambodia'),('BB','Barbados'),('AS','American Samoa'),('TC','Turks and Caicos Islands'),('MP','Northern Mariana Islands'),('GD','Grenada'),('VC','Saint Vincent and the Grenadines'),('MO','Macau'),('UM','United States Minor Outlying Islands'),('HR','Croatia'),('CU','Cuba'),('MN','Mongolia'),('LA','Lao People\'s Democratic Republic'),('GY','Guyana'),('SR','Suriname'),('PG','Papua New Guinea'),('AW','Aruba'),('VU','Vanuatu'),('FJ','Fiji'),('AI','Anguilla'),('MS','Montserrat'),('NP','Nepal'),('GG','Guernsey'),('KG','Kyrgyzstan'),('TM','Turkmenistan'),('IM','Isle of Man'),('GN','Guinea'),('MM','Myanmar'),('ET','Ethiopia'),('BT','Bhutan'),('TK','Tokelau'),('TD','Chad'),('AX','Aland Islands'),('LI','Liechtenstein'),('FO','Faroe Islands'),('SO','Somalia'),('PS','Palestinian Territory, Occupied'),('MR','Mauritania'),('BI','Burundi'),('MQ','Martinique'),('GP','Guadeloupe'),('VA','Holy See (Vatican City State)'),('JE','Jersey'),('YT','Mayotte'),('AQ','Antarctica'),('AD','Andorra'),('GL','Greenland'),('GW','Guinea-Bissau'),('ER','Eritrea'),('GF','French Guiana'),('MV','Maldives'),('WF','Wallis and Futuna'),('PF','French Polynesia'),('DJ','Djibouti'),('ST','Sao Tome and Principe'),('PM','Saint Pierre and Miquelon'),('SB','Solomon Islands'),('TV','Tuvalu'),('KI','Kiribati'),('TO','Tonga'),('IO','British Indian Ocean Territory'),('NU','Niue'),('NF','Norfolk Island'),('NR','Nauru'),('KP','Korea, Democratic People\'s Republic of');
